#!python

import os
import sys

def find_files(directory, target_file):
    for root, dirs, files in os.walk(directory):
        if target_file in files:
            foundfile = os.path.join(root, target_file)
            os.system('start' + " " + foundfile )
            return 1

## main
def main():
    if len(sys.argv) > 2:
        kpr_root = sys.argv[2]
    elif len(sys.argv) == 2:
        kpr_root = 'C:\\usr\\texmf-kpr\\doc'
    elif len(sys.argv) < 2:
        print("\nPlease give me package name\n")
        print("Usage: kstestdoc.py <package_name> [texmf_root]\n")
        return -1

    print("KPR TEXDOC")
    print("kpr document root is" + " " + kpr_root)

    my_target = sys.argv[1] + '-doc.pdf'
    if find_files(kpr_root, my_target) != 1:
        my_target = sys.argv[1] + 'doc.pdf'
        if find_files(kpr_root, my_target) != 1:
            my_target = sys.argv[1] + '.pdf'
            if find_files(kpr_root, my_target) != 1:
                print("\ndocumentation not found in KPR, I'll try texdoc")
                os.system('texdoc' + " " + sys.argv[1])

main()
